Bug 1194838 - Needed manual partitioning to install Leap 15.3 besides Windows 11
Needed manual partitioning to install Leap 15.3 besides Windows 11
Status: CONFIRMED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Installation
Leap 15.3
x86-64 openSUSE Leap 15.3
: P5 - None : Enhancement (vote)
: ---
Assigned To: YaST Team
Jiri Srain
https://trello.com/c/beuPSah5
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2022-01-18 13:53 UTC by Johannes Meixner
Modified: 2022-03-21 11:32 UTC (History)
5 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
All of /var/log/YaST2/ (5.13 MB, application/x-compressed-tar)
2022-01-18 13:53 UTC, Johannes Meixner
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes Meixner 2022-01-18 13:53:17 UTC
Created attachment 855369 [details]
All of /var/log/YaST2/

I got a new Laptop with Windows 11 Home (for gaming)
and I installed openSUSE Leap 15.3 besides Windows 11.

I never installed a recent openSUSE besides Windows
so I don't have personal prior experience how that
should usually work nowadays so I may have missed
or overlooked something.

To me it appeared as if the existing Windows 11 was not recognized
and its NTFS partition was not offered to be shrinked
or at least it was not offered in a way that was obvious to me.
To me it appeared as if the Leap 15.3 installer proposed
to use the whole disk for Linux (i.e. overwriting Windows).
So I aborted it where it proposed to use the whole disk.

Then I manually shrinked the NTFS partition in Windows 11
with the Windows 11 Disk Management tool and afterwards
I manually set up the partitioning for Linux
in the Leap 15.3 installer.

Windows 11 Home does not provide BitLocker
(I verified that in my Windows 11).

I cannot provide YaST logs from my first install attempt
because I aborted where it proposed to use the whole disk.
I think my second install where I manually did the partitioning
went same up to the point where it proposed to use the whole disk.

How it currenly looks from Leap 15.3 on that laptop:

# lsblk -ipo NAME,TYPE,FSTYPE,LABEL,SIZE,MOUNTPOINT
NAME                    TYPE  FSTYPE      LABEL           SIZE MOUNTPOINT
/dev/nvme0n1            disk                              1.8T
|-/dev/nvme0n1p1        part  vfat        SYSTEM          100M /boot/efi
|-/dev/nvme0n1p2        part                               16M
|-/dev/nvme0n1p3        part  ntfs        Windows       976.6G
|-/dev/nvme0n1p4        part  crypto_LUKS                 832G
| `-/dev/mapper/cr_root crypt ext4                        832G /
|-/dev/nvme0n1p5        part  ntfs        Recovery tools 1000M
`-/dev/nvme0n1p6        part  crypto_LUKS                  32G
  `-/dev/mapper/cr_swap crypt swap                         32G [SWAP]

# parted -s /dev/nvme0n1 unit GiB print
Model: NVMe Device (nvme)
Disk /dev/nvme0n1: 1863GiB
Sector size (logical/physical): 512B/512B
Partition Table: gpt
Disk Flags:
Nr Start   End     Size    FS    Name                         Flags
 1 0.00GiB 0.10GiB 0.10GiB fat32 EFI system partition         boot, esp
 2 0.10GiB 0.11GiB 0.02GiB       Microsoft reserved partition msftres
 3 0.11GiB  977GiB  977GiB ntfs  Basic data partition         msftdata
 4  992GiB 1824GiB  832GiB
 6 1824GiB 1856GiB 32.0GiB                                    swap
 5 1862GiB 1863GiB 0.98GiB ntfs  Basic data partition         hidden, diag
Comment 1 Arvin Schnell 2022-01-18 14:29:44 UTC
ntfsresize is called to check whether resizing is possible. The output
includes:

Filesystem check failed! Totally 10 cluster accounting mismatches.
ERROR: NTFS is inconsistent. Run chkdsk /f on Windows then reboot it TWICE!
Comment 2 David Diaz 2022-01-18 14:38:09 UTC
Johannes, could you check the Arvin's comment?

Thanks!
Comment 3 Steffen Winterfeldt 2022-01-18 14:48:43 UTC
For the record: I did a Windows 11 test setup in qemu and there it worked. So
it's at least not a general Windows 11 issue.
Comment 4 Johannes Meixner 2022-01-18 15:14:16 UTC
I can check the current NTFS status from inside Windows 11
(which is the state after I had shrinked it in Windows 11)
when I boot Windows next time. Currently Leap 15.3 is running
(I am right now typing this comment on this Leap 15.3 system).

Regardless if resizing is possible or not:
Both 'lsblk' and 'parted' show "Windows" and "Microsoft" stuff
so the Leap 15.3 installer could know "there is some Windows"
and then it should not propose to overwrite the whole disk.
Instead it should show the user appropriate information like
- no sufficient free (unallocated) disk space for Linux
- unable to shrink Windows NTFS partition (reason: ...)
- user must manually provide sufficient free disk space (at least ...GB)
- alternatively the whole disk could be overwritten and used for Linux
Comment 5 Steffen Winterfeldt 2022-01-18 15:26:33 UTC
> Both 'lsblk' and 'parted' show "Windows" and "Microsoft" stuff
> so the Leap 15.3 installer could know "there is some Windows"

Actually, no. These GPT partition types are pretty generic. The only way
to detect Windows is to look *inside* the file system.
Comment 6 Johannes Meixner 2022-01-18 16:27:20 UTC
My Windows 11 runs in German language so I try to translate
what it shows into English but this is likely not exactly
what Windows 11 actually shows when it runs in English.

Basically I followed
https://allthings.how/how-to-run-chkdsk-in-windows-11/

In the Explorer I right-clicked at "This PC"
on "Windows (C:)" and then in "Properties"
the "Tools" tab and therein "Check" which shows:
----------------------------------------------------------------
No check needed.
No errors found on this drive.
You can if you need check the drive for errors.
-> Scan drive
You can still use the drive while it is scanned.
If errors are found you can decide if they should be corrected.
----------------------------------------------------------------
I clicked on "Scan drive" which results (after a few seconds):
----------------------------------------------------------------
The drive was successfully scanned.
No errors have been found.
----------------------------------------------------------------
Comment 7 Johannes Meixner 2022-01-19 06:37:51 UTC
On Leap 15.3 I get currently:
------------------------------------------------------------
# ntfsresize --check /dev/nvme0n1p3 && echo yes || echo no
ntfsresize v2021.8.22 (libntfs-3g)
yes
------------------------------------------------------------
Comment 8 Lukas Ocilka 2022-01-19 08:07:14 UTC
(In reply to Johannes Meixner from comment #6)
> No check needed.
> No errors found on this drive.

This is kind of expected, as the initial comment contains: "Then I manually shrinked the NTFS partition in Windows 11 with the Windows 11 Disk Management tool". I believe that the tool also fixed those problems somehow.

(In reply to Arvin Schnell from comment #1)
> Filesystem check failed! Totally 10 cluster accounting mismatches.
> ERROR: NTFS is inconsistent. Run chkdsk /f on Windows then reboot it TWICE!

Let's focus on this. Is the user able to get the error message somehow? Was it shown to the user? The user can do something ONLY if they know that there is a problem and how to fix it.
Comment 9 Johannes Meixner 2022-01-19 08:51:25 UTC
Lukas Ocilka,
thank you for your comment - basically I mean the same.

I always shut down Windows via its "power off" main menu entry
so I guess its NTFS was never in a broken state for Windows.
But I don't know what exactly "power off" means for Windows
in particular regarding its NTFS state.
Only a blind guess:
Perhaps when Windows updates are partially done
but need further things to complete during next Windows boot
then the NTFS might be marked to be in a non-yet-clean state
or something similar. Note that Windows updates itself in the
background so as user you are not obviously informed that some
update is pending to be completed during next boot (unless one
actively inspects the Windows update settings - I think there
might be some tiny mark somewhere but I don't know for sure).

My main point of this issue is not that automated NTFS shrinking
did not happen for me.

My main point of this issue is that for me the Leap 15.3 installer
behaved as if there was nothing on my disk.

But both 'lsblk' and 'parted' show that there is already something
on the disk - regardless what that "something" actually is.

On a disk where there is something that something could be
user data and all user data is always sacrosanct.
User data must never be touched without explicit user confirmation.

Think about an encrypted partition.
It must be impossible to detect what there actually is on the
encrypted partition (that is the whole point of encryption)
e.g. I have an encrypted ext4 Leap 15.3 system partition.
If I install another operating system (e.g. SLES 15)
I would expect that it does not "just overwrite" my
encrypted ext4 Leap 15.3 system partition because
it looks like a partition for Linux.

Perhaps even a raw disk might contain (possibly encrypted) user data.
So even a disk that looks totally unallocated might not be
"just used to install" without explicit user confirmation.

I think the installer should be enhanced to make it
obvious to the user what things already exist and
what the installer proposes to do with each of them
and for each possibly destructive action the user must
actively and explicitly confirm that he agrees to do that
(I think clicking [Next] is not such kind of confirmation).
Comment 10 David Diaz 2022-01-19 10:12:18 UTC
(In reply to Johannes Meixner from comment #9)
> Lukas Ocilka,
> thank you for your comment - basically I mean the same.
> 
> I always shut down Windows via its "power off" main menu entry
> so I guess its NTFS was never in a broken state for Windows.
> But I don't know what exactly "power off" means for Windows
> in particular regarding its NTFS state.
> Only a blind guess:
> Perhaps when Windows updates are partially done
> but need further things to complete during next Windows boot
> then the NTFS might be marked to be in a non-yet-clean state
> or something similar. Note that Windows updates itself in the
> background so as user you are not obviously informed that some
> update is pending to be completed during next boot (unless one
> actively inspects the Windows update settings - I think there
> might be some tiny mark somewhere but I don't know for sure).
> 
> My main point of this issue is not that automated NTFS shrinking
> did not happen for me.
> 
> My main point of this issue is that for me the Leap 15.3 installer
> behaved as if there was nothing on my disk.
> 
> But both 'lsblk' and 'parted' show that there is already something
> on the disk - regardless what that "something" actually is.
> 
> On a disk where there is something that something could be
> user data and all user data is always sacrosanct.
> User data must never be touched without explicit user confirmation.
> 
> Think about an encrypted partition.
> It must be impossible to detect what there actually is on the
> encrypted partition (that is the whole point of encryption)
> e.g. I have an encrypted ext4 Leap 15.3 system partition.
> If I install another operating system (e.g. SLES 15)
> I would expect that it does not "just overwrite" my
> encrypted ext4 Leap 15.3 system partition because
> it looks like a partition for Linux.
> 
> Perhaps even a raw disk might contain (possibly encrypted) user data.
> So even a disk that looks totally unallocated might not be
> "just used to install" without explicit user confirmation.
> 
> I think the installer should be enhanced to make it
> obvious to the user what things already exist and
> what the installer proposes to do with each of them
> and for each possibly destructive action the user must
> actively and explicitly confirm that he agrees to do that
> (I think clicking [Next] is not such kind of confirmation).

Hi all!

I have been discussing the topic with Ancor and Iván and we agreed on putting this in our backlog to find a way to give some hints to the user.

So, stay tuned :)
Comment 11 David Diaz 2022-01-19 10:26:29 UTC
(In reply to Johannes Meixner from comment #9)
> Lukas Ocilka,
> thank you for your comment - basically I mean the same.
> 
> I always shut down Windows via its "power off" main menu entry
> so I guess its NTFS was never in a broken state for Windows.
> But I don't know what exactly "power off" means for Windows
> in particular regarding its NTFS state.
> Only a blind guess:
> Perhaps when Windows updates are partially done
> but need further things to complete during next Windows boot
> then the NTFS might be marked to be in a non-yet-clean state
> or something similar. Note that Windows updates itself in the
> background so as user you are not obviously informed that some
> update is pending to be completed during next boot (unless one
> actively inspects the Windows update settings - I think there
> might be some tiny mark somewhere but I don't know for sure).
> 
> My main point of this issue is not that automated NTFS shrinking
> did not happen for me.
> 
> My main point of this issue is that for me the Leap 15.3 installer
> behaved as if there was nothing on my disk.
> 
> But both 'lsblk' and 'parted' show that there is already something
> on the disk - regardless what that "something" actually is.
> 
> On a disk where there is something that something could be
> user data and all user data is always sacrosanct.
> User data must never be touched without explicit user confirmation.

But it was just a proposal. The disk will be touched only if the user decides (after reading the actions, I guess) to continue.


> 
> Think about an encrypted partition.
> It must be impossible to detect what there actually is on the
> encrypted partition (that is the whole point of encryption)
> e.g. I have an encrypted ext4 Leap 15.3 system partition.
> If I install another operating system (e.g. SLES 15)
> I would expect that it does not "just overwrite" my
> encrypted ext4 Leap 15.3 system partition because
> it looks like a partition for Linux.
> 
> Perhaps even a raw disk might contain (possibly encrypted) user data.
> So even a disk that looks totally unallocated might not be
> "just used to install" without explicit user confirmation.

This sounds like a different topic to me now that we have created a card for addressing how to tell the user that there were found some issues for resizing a certain device. Please, don't get me wrong. I'm not saying it should not be discussed, but it should be in a different report/thread.

Anyway, putting a needinfo to Áncor just in case he can provide more useful information at this point.

> 
> I think the installer should be enhanced to make it
> obvious to the user what things already exist and
> what the installer proposes to do with each of them
> and for each possibly destructive action the user must
> actively and explicitly confirm that he agrees to do that
> (I think clicking [Next] is not such kind of confirmation).

I think so. At the end, users are installing a new system and they should read carefully the actions to be done. What is more, destructive actions has been emphasized by putting them in bold. And there is a summary at the end of the installation with a confirmation popup before really starting the installation process.

Maybe there is room for improvements yet, but adding a confirmation for each destructive actions do not sound like a good plan to me. Perhaps others have better ideas that we can evaluate.
Comment 12 Johannes Meixner 2022-01-19 11:56:42 UTC
My main point of this issue is not what the installer
proposed to set up in my specific case.

My main point is that for me the Leap 15.3 installer
behaved as if there was nothing on my disk.

As far as I noticed (up to the point where I aborted)
the installer did not explicitly show that it
proposes to overwrite my Windows.

I did read the installer's proposal and from it I deduced
it indirectly means it proposes to overwrite my Windows.

Personally I do not need an enhancement that explicitly
shows what possibly destructive actions are proposed.
I am only reporting it under the assumption that less
experienced users may need such explicit information.
Perhaps this could even be a legal issue when SUSE's
installer was not sufficiently clear about what
possible user data it proposes to be destroyed
(I know nothing about indemnification laws).

When the current state is sufficiently safe
don't spend more time on it and close it as WONTFIX.
Comment 13 Ancor Gonzalez Sosa 2022-03-21 11:32:57 UTC
(In reply to David Diaz from comment #11)
> 
> Anyway, putting a needinfo to Áncor just in case he can provide more useful
> information at this point.

To be honest, I have not much to add. As mentioned, we already have a Trello card to remind ourselves we may need to find some time to improve the current warnings (as other tasks permit).